Index: serefpolicy-contrib-20140730/likewise.if
===================================================================
--- serefpolicy-contrib-20140730.orig/likewise.if
+++ serefpolicy-contrib-20140730/likewise.if
@@ -1,9 +1,22 @@
 ## <summary>Likewise Active Directory support for UNIX.</summary>
+## <desc>
+##	<p>
+##	Likewise Open is a free, open source application that joins Linux, Unix,
+##	and Mac machines to Microsoft Active Directory to securely authenticate
+##	users with their domain credentials.
+##	</p>
+## </desc>
 
 #######################################
 ## <summary>
 ##	The template to define a likewise domain.
 ## </summary>
+## <desc>
+##	<p>
+##	This template creates a domain to be used for
+##	a new likewise daemon.
+##	</p>
+## </desc>
 ## <param name="userdomain_prefix">
 ##	<summary>
 ##	The type of daemon to be used.
@@ -11,6 +24,7 @@
 ## </param>
 #
 template(`likewise_domain_template',`
+
 	gen_require(`
 		attribute likewise_domains;
 		type likewise_var_lib_t;
@@ -24,6 +38,7 @@ template(`likewise_domain_template',`
 	type $1_t;
 	type $1_exec_t;
 	init_daemon_domain($1_t, $1_exec_t)
+	domain_use_interactive_fds($1_t)
 
 	typeattribute $1_t likewise_domains;
 
@@ -38,15 +53,18 @@ template(`likewise_domain_template',`
 
 	####################################
 	#
-	# Policy
+	# Local Policy
 	#
 
 	allow $1_t self:process { signal_perms getsched setsched };
 	allow $1_t self:fifo_file rw_fifo_file_perms;
-	allow $1_t self:unix_stream_socket { accept listen };
+	allow $1_t self:unix_dgram_socket create_socket_perms;
+	allow $1_t self:unix_stream_socket create_stream_socket_perms;
 	allow $1_t self:tcp_socket create_stream_socket_perms;
 	allow $1_t self:udp_socket create_socket_perms;
 
+	allow $1_t likewise_var_lib_t:dir setattr_dir_perms;
+
 	manage_files_pattern($1_t, $1_var_run_t, $1_var_run_t)
 	files_pid_filetrans($1_t, $1_var_run_t, file)
 
@@ -55,12 +73,15 @@ template(`likewise_domain_template',`
 
 	manage_sock_files_pattern($1_t, likewise_var_lib_t, $1_var_socket_t)
 	filetrans_pattern($1_t, likewise_var_lib_t, $1_var_socket_t, sock_file)
+
+	kernel_read_system_state($1_t)
+
+	logging_send_syslog_msg($1_t)
 ')
 
 ########################################
 ## <summary>
-##	Connect to lsassd with a unix domain
-##	stream socket.
+##	Connect to lsassd.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -76,59 +97,3 @@ interface(`likewise_stream_connect_lsass
 	files_search_pids($1)
 	stream_connect_pattern($1, likewise_var_lib_t, lsassd_var_socket_t, lsassd_t)
 ')
-
-########################################
-## <summary>
-##	All of the rules required to
-##	administrate an likewise environment.
-## </summary>
-## <param name="domain">
-##	<summary>
-##	Domain allowed access.
-##	</summary>
-## </param>
-## <param name="role">
-##	<summary>
-##	Role allowed access.
-##	</summary>
-## </param>
-## <rolecap/>
-#
-interface(`likewise_admin',`
-	gen_require(`
-		attribute likewise_domains;
-		type likewise_initrc_exec_t, likewise_etc_t, likewise_pstore_lock_t;
-		type likewise_krb5_ad_t, likewise_var_lib_t, eventlogd_var_socket_t;
-		type lsassd_var_socket_t, lwiod_var_socket_t, lwregd_var_socket_t;
-		type lwsmd_var_socket_t, lwsmd_var_lib_t, netlogond_var_socket_t;
-		type netlogond_var_lib_t, lsassd_var_lib_t, lwregd_var_lib_t;
-		type eventlogd_var_lib_t, dcerpcd_var_lib_t, lsassd_tmp_t;
-		type eventlogd_var_run_t, lsassd_var_run_t, lwiod_var_run_t;
-		type lwregd_var_run_t, netlogond_var_run_t, srvsvcd_var_run_t;
-	')
-
-	allow $1 likewise_domains:process { ptrace signal_perms };
-	ps_process_pattern($1, likewise_domains)
-
-	init_labeled_script_domtrans($1, likewise_initrc_exec_t)
-	domain_system_change_exemption($1)
-	role_transition $2 likewise_initrc_exec_t system_r;
-	allow $2 system_r;
-
-	files_list_etc($1)
-	admin_pattern($1, { likewise_etc_t likewise_pstore_lock_t likewise_krb5_ad_t })
-
-	files_search_var_lib($1)
-	admin_pattern($1, { likewise_var_lib_t eventlogd_var_socket_t lsassd_var_socket_t })
-	admin_pattern($1, { lwiod_var_socket_t lwregd_var_socket_t lwsmd_var_socket_t })
-	admin_pattern($1, { lwsmd_var_lib_t netlogond_var_socket_t netlogond_var_lib_t })
-	admin_pattern($1, { lsassd_var_lib_t lwregd_var_lib_t eventlogd_var_lib_t })
-	admin_pattern($1, dcerpcd_var_lib_t)
-
-	files_list_tmp($1)
-	admin_pattern($1, lsassd_tmp_t)
-
-	files_list_pids($1)
-	admin_pattern($1, { eventlogd_var_run_t lsassd_var_run_t lwiod_var_run_t })
-	admin_pattern($1, { lwregd_var_run_t netlogond_var_run_t srvsvcd_var_run_t })
-')
Index: serefpolicy-contrib-20140730/likewise.te
===================================================================
--- serefpolicy-contrib-20140730.orig/likewise.te
+++ serefpolicy-contrib-20140730/likewise.te
@@ -26,7 +26,7 @@ type likewise_var_lib_t;
 files_type(likewise_var_lib_t)
 
 type likewise_pstore_lock_t;
-files_type(likewise_pstore_lock_t)
+files_lock_file(likewise_pstore_lock_t)
 
 type likewise_krb5_ad_t;
 files_type(likewise_krb5_ad_t)
@@ -41,20 +41,13 @@ files_tmp_file(lsassd_tmp_t)
 
 allow likewise_domains likewise_var_lib_t:dir setattr_dir_perms;
 
-kernel_read_system_state(likewise_domains)
-
 dev_read_rand(likewise_domains)
 dev_read_urand(likewise_domains)
 
 domain_use_interactive_fds(likewise_domains)
 
-files_read_etc_files(likewise_domains)
 files_search_var_lib(likewise_domains)
 
-logging_send_syslog_msg(likewise_domains)
-
-miscfiles_read_localization(likewise_domains)
-
 #################################
 #
 # dcerpcd local policy
@@ -126,7 +119,6 @@ corecmd_exec_bin(lsassd_t)
 corecmd_exec_shell(lsassd_t)
 
 corenet_all_recvfrom_netlabel(lsassd_t)
-corenet_all_recvfrom_unlabeled(lsassd_t)
 corenet_tcp_sendrecv_generic_if(lsassd_t)
 corenet_tcp_sendrecv_generic_node(lsassd_t)
 
@@ -242,7 +234,6 @@ stream_connect_pattern(srvsvcd_t, likewi
 stream_connect_pattern(srvsvcd_t, likewise_var_lib_t, lwregd_var_socket_t, lwregd_t)
 
 corenet_all_recvfrom_netlabel(srvsvcd_t)
-corenet_all_recvfrom_unlabeled(srvsvcd_t)
 corenet_sendrecv_generic_server_packets(srvsvcd_t)
 corenet_tcp_sendrecv_generic_if(srvsvcd_t)
 corenet_tcp_sendrecv_generic_node(srvsvcd_t)
Index: serefpolicy-contrib-20140730/lircd.if
===================================================================
--- serefpolicy-contrib-20140730.orig/lircd.if
+++ serefpolicy-contrib-20140730/lircd.if
@@ -81,8 +81,11 @@ interface(`lircd_admin',`
 		type lircd_initrc_exec_t, lircd_etc_t;
 	')
 
-	allow $1 lircd_t:process { ptrace signal_perms };
+	allow $1 lircd_t:process signal_perms;
 	ps_process_pattern($1, lircd_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 lircd_t:process ptrace;
+	')
 
 	init_labeled_script_domtrans($1, lircd_initrc_exec_t)
 	domain_system_change_exemption($1)
Index: serefpolicy-contrib-20140730/lircd.te
===================================================================
--- serefpolicy-contrib-20140730.orig/lircd.te
+++ serefpolicy-contrib-20140730/lircd.te
@@ -13,7 +13,7 @@ type lircd_initrc_exec_t;
 init_script_file(lircd_initrc_exec_t)
 
 type lircd_etc_t;
-files_type(lircd_etc_t)
+files_config_file(lircd_etc_t)
 
 type lircd_var_run_t alias lircd_sock_t;
 files_pid_file(lircd_var_run_t)
@@ -27,6 +27,7 @@ allow lircd_t self:capability { chown ki
 allow lircd_t self:process signal;
 allow lircd_t self:fifo_file rw_fifo_file_perms;
 allow lircd_t self:tcp_socket { accept listen };
+allow lircd_t self:netlink_kobject_uevent_socket create_socket_perms;
 
 read_files_pattern(lircd_t, lircd_etc_t, lircd_etc_t)
 
@@ -64,9 +65,9 @@ files_manage_generic_locks(lircd_t)
 files_read_all_locks(lircd_t)
 
 term_use_ptmx(lircd_t)
+term_use_usb_ttys(lircd_t)
+term_use_unallocated_ttys(lircd_t)
 
 logging_send_syslog_msg(lircd_t)
 
-miscfiles_read_localization(lircd_t)
-
 sysnet_dns_name_resolve(lircd_t)
Index: serefpolicy-contrib-20140730/livecd.if
===================================================================
--- serefpolicy-contrib-20140730.orig/livecd.if
+++ serefpolicy-contrib-20140730/livecd.if
@@ -38,11 +38,36 @@ interface(`livecd_domtrans',`
 #
 interface(`livecd_run',`
 	gen_require(`
+		type livecd_t;
+		type livecd_exec_t;
 		attribute_role livecd_roles;
 	')
 
 	livecd_domtrans($1)
 	roleattribute $2 livecd_roles;
+	role_transition $2 livecd_exec_t system_r;
+
+	optional_policy(`
+		rpm_transition_script(livecd_t, $2)
+	')
+')
+
+########################################
+## <summary>
+##	Dontaudit read/write to a livecd leaks
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain to not audit.
+##	</summary>
+## </param>
+#
+interface(`livecd_dontaudit_leaks',`
+	gen_require(`
+		type livecd_t;
+	')
+
+	dontaudit $1 livecd_t:unix_dgram_socket { read write };
 ')
 
 ########################################
Index: serefpolicy-contrib-20140730/livecd.te
===================================================================
--- serefpolicy-contrib-20140730.orig/livecd.te
+++ serefpolicy-contrib-20140730/livecd.te
@@ -21,9 +21,11 @@ files_tmp_file(livecd_tmp_t)
 # Local policy
 #
 
-dontaudit livecd_t self:capability2 mac_admin;
+allow livecd_t self:capability2 mac_admin;
 
-domain_ptrace_all_domains(livecd_t)
+tunable_policy(`deny_ptrace',`',`
+	domain_ptrace_all_domains(livecd_t)
+')
 
 manage_dirs_pattern(livecd_t, livecd_tmp_t, livecd_tmp_t)
 manage_files_pattern(livecd_t, livecd_tmp_t, livecd_tmp_t)
@@ -35,12 +37,13 @@ sysnet_etc_filetrans_config(livecd_t)
 optional_policy(`
 	hal_dbus_chat(livecd_t)
 ')
+
 optional_policy(`
-	mount_run(livecd_t, livecd_roles)
+    mount_run(livecd_t, livecd_roles)
 ')
 
 optional_policy(`
-	rpm_domtrans(livecd_t)
+	seutil_run_setfiles_mac(livecd_t, livecd_roles)
 ')
 
 optional_policy(`
Index: serefpolicy-contrib-20140730/lldpad.if
===================================================================
--- serefpolicy-contrib-20140730.orig/lldpad.if
+++ serefpolicy-contrib-20140730/lldpad.if
@@ -2,6 +2,25 @@
 
 #######################################
 ## <summary>
+##  Transition to lldpad.
+## </summary>
+## <param name="domain">
+## <summary>
+##  Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`lldpad_domtrans',`
+    gen_require(`
+        type lldpad_t, lldpad_exec_t;
+    ')
+
+    corecmd_search_bin($1)
+    domtrans_pattern($1, lldpad_exec_t, lldpad_t)
+')
+
+#######################################
+## <summary>
 ##	Send to lldpad with a unix dgram socket.
 ## </summary>
 ## <param name="domain">
@@ -42,9 +61,13 @@ interface(`lldpad_admin',`
 		type lldpad_var_run_t;
 	')
 
-	allow $1 lldpad_t:process { ptrace signal_perms };
+	allow $1 lldpad_t:process { signal_perms };
 	ps_process_pattern($1, lldpad_t)
 
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 lldpad_t:process ptrace;
+	')
+
 	init_labeled_script_domtrans($1, lldpad_initrc_exec_t)
 	domain_system_change_exemption($1)
 	role_transition $2 lldpad_initrc_exec_t system_r;
Index: serefpolicy-contrib-20140730/lldpad.te
===================================================================
--- serefpolicy-contrib-20140730.orig/lldpad.te
+++ serefpolicy-contrib-20140730/lldpad.te
@@ -26,7 +26,7 @@ files_pid_file(lldpad_var_run_t)
 # Local policy
 #
 
-allow lldpad_t self:capability { net_admin net_raw };
+allow lldpad_t self:capability { net_admin net_raw sys_resource };
 allow lldpad_t self:shm create_shm_perms;
 allow lldpad_t self:fifo_file rw_fifo_file_perms;
 allow lldpad_t self:unix_stream_socket { accept listen };
@@ -51,12 +51,14 @@ kernel_request_load_module(lldpad_t)
 
 dev_read_sysfs(lldpad_t)
 
-files_read_etc_files(lldpad_t)
-
 logging_send_syslog_msg(lldpad_t)
 
-miscfiles_read_localization(lldpad_t)
+userdom_dgram_send(lldpad_t)
 
 optional_policy(`
 	fcoe_dgram_send_fcoemon(lldpad_t)
 ')
+
+optional_policy(`
+    networkmanager_dgram_send(lldpad_t)
+')
Index: serefpolicy-contrib-20140730/loadkeys.te
===================================================================
--- serefpolicy-contrib-20140730.orig/loadkeys.te
+++ serefpolicy-contrib-20140730/loadkeys.te
@@ -25,20 +25,19 @@ kernel_read_system_state(loadkeys_t)
 corecmd_exec_bin(loadkeys_t)
 corecmd_exec_shell(loadkeys_t)
 
-files_read_etc_files(loadkeys_t)
 files_read_etc_runtime_files(loadkeys_t)
 
 term_dontaudit_use_console(loadkeys_t)
 term_use_unallocated_ttys(loadkeys_t)
 
+auth_read_passwd(loadkeys_t)
+
 init_dontaudit_use_fds(loadkeys_t)
 init_dontaudit_use_script_ptys(loadkeys_t)
 
 locallogin_use_fds(loadkeys_t)
 
-miscfiles_read_localization(loadkeys_t)
-
-userdom_use_user_ttys(loadkeys_t)
+userdom_use_inherited_user_ttys(loadkeys_t)
 userdom_list_user_home_content(loadkeys_t)
 
 ifdef(`hide_broken_symptoms',`
Index: serefpolicy-contrib-20140730/lockdev.if
===================================================================
--- serefpolicy-contrib-20140730.orig/lockdev.if
+++ serefpolicy-contrib-20140730/lockdev.if
@@ -1,5 +1,25 @@
 ## <summary>Library for locking devices.</summary>
 
+#######################################
+## <summary>
+##  Create, read, write, and delete
+##  lockdev lock files.
+## </summary>
+## <param name="domain">
+##  <summary>
+##  Domain allowed access.
+##  </summary>
+## </param>
+#
+interface(`lockdev_manage_files',`
+    gen_require(`
+            type lockdev_lock_t;
+    ')
+
+    files_search_var_lib($1)
+    manage_files_pattern($1, lockdev_lock_t, lockdev_lock_t)
+')
+
 ########################################
 ## <summary>
 ##	Role access for lockdev.
Index: serefpolicy-contrib-20140730/lockdev.te
===================================================================
--- serefpolicy-contrib-20140730.orig/lockdev.te
+++ serefpolicy-contrib-20140730/lockdev.te
@@ -36,4 +36,5 @@ fs_getattr_xattr_fs(lockdev_t)
 
 logging_send_syslog_msg(lockdev_t)
 
-userdom_use_user_terminals(lockdev_t)
+userdom_use_inherited_user_terminals(lockdev_t)
+
Index: serefpolicy-contrib-20140730/logrotate.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/logrotate.fc
+++ serefpolicy-contrib-20140730/logrotate.fc
@@ -1,7 +1,9 @@
-/etc/cron\.(daily|weekly)/logrotate	--	gen_context(system_u:object_r:logrotate_exec_t,s0)
-/etc/cron\.(daily|weekly)/sysklogd	--	gen_context(system_u:object_r:logrotate_exec_t,s0)
+/etc/cron\.(daily|weekly)/sysklogd -- gen_context(system_u:object_r:logrotate_exec_t,s0)
 
 /usr/sbin/logrotate	--	gen_context(system_u:object_r:logrotate_exec_t,s0)
 
+ifdef(`distro_debian', `
 /var/lib/logrotate(/.*)?	gen_context(system_u:object_r:logrotate_var_lib_t,s0)
-/var/lib/logrotate\.status	--	gen_context(system_u:object_r:logrotate_var_lib_t,s0)
+', `
+/var/lib/logrotate\.status --	gen_context(system_u:object_r:logrotate_var_lib_t,s0)
+')
Index: serefpolicy-contrib-20140730/logrotate.if
===================================================================
--- serefpolicy-contrib-20140730.orig/logrotate.if
+++ serefpolicy-contrib-20140730/logrotate.if
@@ -1,4 +1,4 @@
-## <summary>Rotates, compresses, removes and mails system log files.</summary>
+## <summary>Rotate and archive system logs</summary>
 
 ########################################
 ## <summary>
@@ -21,9 +21,8 @@ interface(`logrotate_domtrans',`
 
 ########################################
 ## <summary>
-##	Execute logrotate in the logrotate
-##	domain, and allow the specified
-##	role the logrotate domain.
+##	Execute logrotate in the logrotate domain, and
+##	allow the specified role the logrotate domain.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -39,11 +38,11 @@ interface(`logrotate_domtrans',`
 #
 interface(`logrotate_run',`
 	gen_require(`
-		attribute_role logrotate_roles;
+		type logrotate_t;
 	')
 
 	logrotate_domtrans($1)
-	roleattribute $2 logrotate_roles;
+	role $2 types logrotate_t;
 ')
 
 ########################################
@@ -85,8 +84,7 @@ interface(`logrotate_use_fds',`
 
 ########################################
 ## <summary>
-##	Do not audit attempts to inherit
-##	logrotate file descriptors.
+##	Do not audit attempts to inherit logrotate file descriptors.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -104,7 +102,7 @@ interface(`logrotate_dontaudit_use_fds',
 
 ########################################
 ## <summary>
-##	Read logrotate temporary files.
+##	Read a logrotate temporary files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
Index: serefpolicy-contrib-20140730/logrotate.te
===================================================================
--- serefpolicy-contrib-20140730.orig/logrotate.te
+++ serefpolicy-contrib-20140730/logrotate.te
@@ -1,20 +1,26 @@
-policy_module(logrotate, 1.16.0)
+policy_module(logrotate, 1.15.0)
 
 ########################################
 #
 # Declarations
 #
 
-attribute_role logrotate_roles;
-roleattribute system_r logrotate_roles;
+## <desc>
+## <p>
+## Allow logrotate to manage nfs files
+## </p>
+## </desc>
+gen_tunable(logrotate_use_nfs, false)
+
 
 type logrotate_t;
-type logrotate_exec_t;
 domain_type(logrotate_t)
 domain_obj_id_change_exemption(logrotate_t)
 domain_system_change_exemption(logrotate_t)
+role system_r types logrotate_t;
+
+type logrotate_exec_t;
 domain_entry_file(logrotate_t, logrotate_exec_t)
-role logrotate_roles types logrotate_t;
 
 type logrotate_lock_t;
 files_lock_file(logrotate_lock_t)
@@ -25,21 +31,27 @@ files_tmp_file(logrotate_tmp_t)
 type logrotate_var_lib_t;
 files_type(logrotate_var_lib_t)
 
-mta_base_mail_template(logrotate)
-role system_r types logrotate_mail_t;
-
 ########################################
 #
 # Local policy
 #
 
-allow logrotate_t self:capability { chown dac_override dac_read_search kill fsetid fowner setuid setgid sys_resource sys_nice };
-allow logrotate_t self:process ~{ ptrace setcurrent setexec setrlimit execmem execstack execheap };
+# Change ownership on log files.
+allow logrotate_t self:capability { chown dac_override dac_read_search kill fsetid fowner setuid setgid sys_resource sys_nice sys_ptrace };
+dontaudit logrotate_t self:capability { sys_resource net_admin };
+
+allow logrotate_t self:process ~{ ptrace setcurrent setexec setfscreate setrlimit execmem execstack execheap };
+
+# Set a context other than the default one for newly created files.
+allow logrotate_t self:process setfscreate;
+
 allow logrotate_t self:fd use;
 allow logrotate_t self:key manage_key_perms;
 allow logrotate_t self:fifo_file rw_fifo_file_perms;
+allow logrotate_t self:unix_dgram_socket create_socket_perms;
+allow logrotate_t self:unix_stream_socket create_stream_socket_perms;
 allow logrotate_t self:unix_dgram_socket sendto;
-allow logrotate_t self:unix_stream_socket { accept connectto listen };
+allow logrotate_t self:unix_stream_socket connectto;
 allow logrotate_t self:shm create_shm_perms;
 allow logrotate_t self:sem create_sem_perms;
 allow logrotate_t self:msgq create_msgq_perms;
@@ -48,36 +60,52 @@ allow logrotate_t self:msg { send receiv
 allow logrotate_t logrotate_lock_t:file manage_file_perms;
 files_lock_filetrans(logrotate_t, logrotate_lock_t, file)
 
+can_exec(logrotate_t, logrotate_tmp_t)
+
 manage_dirs_pattern(logrotate_t, logrotate_tmp_t, logrotate_tmp_t)
 manage_files_pattern(logrotate_t, logrotate_tmp_t, logrotate_tmp_t)
 files_tmp_filetrans(logrotate_t, logrotate_tmp_t, { file dir })
 
+# for /var/lib/logrotate.status and /var/lib/logcheck
 create_dirs_pattern(logrotate_t, logrotate_var_lib_t, logrotate_var_lib_t)
 manage_files_pattern(logrotate_t, logrotate_var_lib_t, logrotate_var_lib_t)
 read_lnk_files_pattern(logrotate_t, logrotate_var_lib_t, logrotate_var_lib_t)
 files_var_lib_filetrans(logrotate_t, logrotate_var_lib_t, file)
 
-can_exec(logrotate_t, { logrotate_exec_t logrotate_tmp_t })
-
 kernel_read_system_state(logrotate_t)
 kernel_read_kernel_sysctls(logrotate_t)
 
+dev_read_urand(logrotate_t)
+dev_read_sysfs(logrotate_t)
+
+fs_search_auto_mountpoints(logrotate_t)
+fs_getattr_all_fs(logrotate_t)
+fs_list_inotifyfs(logrotate_t)
+
+mls_file_read_all_levels(logrotate_t)
+mls_file_write_all_levels(logrotate_t)
+mls_file_upgrade(logrotate_t)
+mls_process_write_to_clearance(logrotate_t)
+
+selinux_get_fs_mount(logrotate_t)
+selinux_get_enforce_mode(logrotate_t)
+
+# Run helper programs.
 corecmd_exec_bin(logrotate_t)
 corecmd_exec_shell(logrotate_t)
 corecmd_getattr_all_executables(logrotate_t)
 
-dev_read_urand(logrotate_t)
-
 domain_signal_all_domains(logrotate_t)
 domain_use_interactive_fds(logrotate_t)
 domain_getattr_all_entry_files(logrotate_t)
+# Read /proc/PID directories for all domains.
 domain_read_all_domains_state(logrotate_t)
 
-files_read_usr_files(logrotate_t)
 files_read_etc_runtime_files(logrotate_t)
 files_read_all_pids(logrotate_t)
 files_search_all(logrotate_t)
 files_read_var_lib_files(logrotate_t)
+# Write to /var/spool/slrnpull - should be moved into its own type.
 files_manage_generic_spool(logrotate_t)
 files_manage_generic_spool_dirs(logrotate_t)
 files_getattr_generic_locks(logrotate_t)
@@ -95,6 +123,8 @@ mls_process_write_to_clearance(logrotate
 selinux_get_fs_mount(logrotate_t)
 selinux_get_enforce_mode(logrotate_t)
 
+application_exec_all(logrotate_t)
+
 auth_manage_login_records(logrotate_t)
 auth_use_nsswitch(logrotate_t)
 
@@ -103,24 +133,40 @@ init_all_labeled_script_domtrans(logrota
 logging_manage_all_logs(logrotate_t)
 logging_send_syslog_msg(logrotate_t)
 logging_send_audit_msgs(logrotate_t)
+# cjp: why is this needed?
 logging_exec_all_logs(logrotate_t)
 
-miscfiles_read_localization(logrotate_t)
+systemd_exec_systemctl(logrotate_t)
+systemd_getattr_unit_files(logrotate_t)
+systemd_start_all_unit_files(logrotate_t)
+systemd_reload_all_services(logrotate_t)
+systemd_status_all_unit_files(logrotate_t)
+init_stream_connect(logrotate_t)
 
-seutil_dontaudit_read_config(logrotate_t)
+miscfiles_read_hwdata(logrotate_t)
 
-userdom_use_user_terminals(logrotate_t)
+userdom_use_inherited_user_terminals(logrotate_t)
 userdom_list_user_home_dirs(logrotate_t)
 userdom_use_unpriv_users_fds(logrotate_t)
+userdom_list_admin_dir(logrotate_t)
+userdom_dontaudit_getattr_user_home_content(logrotate_t)
 
-mta_sendmail_domtrans(logrotate_t, logrotate_mail_t)
+tunable_policy(`logrotate_use_nfs',`
+        fs_manage_nfs_files(logrotate_t)
+        fs_manage_nfs_dirs(logrotate_t)
+        fs_manage_nfs_symlinks(logrotate_t)
+')
 
-ifdef(`distro_debian',`
+ifdef(`distro_debian', `
 	allow logrotate_t logrotate_tmp_t:file relabel_file_perms;
+	# for savelog
 	can_exec(logrotate_t, logrotate_exec_t)
 
-	logging_check_exec_syslog(logrotate_t)
+	# for syslogd-listfiles
 	logging_read_syslog_config(logrotate_t)
+
+	# for "test -x /sbin/syslogd"
+	logging_check_exec_syslog(logrotate_t)
 ')
 
 optional_policy(`
@@ -135,16 +181,17 @@ optional_policy(`
 
 optional_policy(`
 	apache_read_config(logrotate_t)
+    apache_read_sys_content_rw_dirs(logrotate_t)
 	apache_domtrans(logrotate_t)
 	apache_signull(logrotate_t)
 ')
 
 optional_policy(`
-	asterisk_domtrans(logrotate_t)
+	awstats_domtrans(logrotate_t)
 ')
 
 optional_policy(`
-	awstats_domtrans(logrotate_t)
+	asterisk_domtrans(logrotate_t)
 ')
 
 optional_policy(`
@@ -170,6 +217,11 @@ optional_policy(`
 ')
 
 optional_policy(`
+    dbus_system_bus_client(logrotate_t)
+')
+
+optional_policy(`
+    fail2ban_domtrans_client(logrotate_t)
 	fail2ban_stream_connect(logrotate_t)
 ')
 
@@ -178,7 +230,7 @@ optional_policy(`
 ')
 
 optional_policy(`
-	chronyd_read_key_files(logrotate_t)
+	chronyd_read_keys(logrotate_t)
 ')
 
 optional_policy(`
@@ -198,21 +250,26 @@ optional_policy(`
 ')
 
 optional_policy(`
+	mysql_read_home_content(logrotate_t)
 	mysql_read_config(logrotate_t)
+	mysql_search_db(logrotate_t)
 	mysql_stream_connect(logrotate_t)
 ')
 
 optional_policy(`
-	openvswitch_read_pid_files(logrotate_t)
-	openvswitch_domtrans(logrotate_t)
+	polipo_named_filetrans_log_files(logrotate_t)
+')
+
+optional_policy(`
+	psad_domtrans(logrotate_t)
 ')
 
 optional_policy(`
-	polipo_log_filetrans_log(logrotate_t, file, "polipo")
+    rabbitmq_domtrans_beam(logrotate_t)
 ')
 
 optional_policy(`
-	psad_domtrans(logrotate_t)
+	raid_domtrans_mdadm(logrotate_t)
 ')
 
 optional_policy(`
@@ -228,10 +285,21 @@ optional_policy(`
 ')
 
 optional_policy(`
+	openshift_manage_lib_files(logrotate_t)
+')
+
+optional_policy(`
+	openvswitch_read_pid_files(logrotate_t)
+	openvswitch_domtrans(logrotate_t)
+')
+
+optional_policy(`
 	squid_domtrans(logrotate_t)
+    squid_read_config(logrotate_t)
 ')
 
 optional_policy(`
+	#Red Hat bug 564565
 	su_exec(logrotate_t)
 ')
 
@@ -241,13 +309,11 @@ optional_policy(`
 
 #######################################
 #
-# Mail local policy
+# logrotate_mail local policy
 #
 
-allow logrotate_mail_t logrotate_t:fd use;
-allow logrotate_mail_t logrotate_t:fifo_file rw_fifo_file_perms;
-allow logrotate_mail_t logrotate_t:process sigchld;
-
-manage_files_pattern(logrotate_mail_t, logrotate_tmp_t, logrotate_tmp_t)
-
+mta_base_mail_template(logrotate)
+mta_sendmail_domtrans(logrotate_t, logrotate_mail_t)
+role system_r types logrotate_mail_t;
 logging_read_all_logs(logrotate_mail_t)
+manage_files_pattern(logrotate_mail_t, logrotate_tmp_t, logrotate_tmp_t)
Index: serefpolicy-contrib-20140730/logwatch.te
===================================================================
--- serefpolicy-contrib-20140730.orig/logwatch.te
+++ serefpolicy-contrib-20140730/logwatch.te
@@ -1,4 +1,4 @@
-policy_module(logwatch, 1.13.0)
+policy_module(logwatch, 1.12.2)
 
 #################################
 #
@@ -15,7 +15,8 @@ gen_tunable(logwatch_can_network_connect
 
 type logwatch_t;
 type logwatch_exec_t;
-init_system_domain(logwatch_t, logwatch_exec_t)
+init_daemon_domain(logwatch_t, logwatch_exec_t)
+application_domain(logwatch_t, logwatch_exec_t)
 
 type logwatch_cache_t;
 files_type(logwatch_cache_t)
@@ -45,7 +46,8 @@ allow logwatch_t self:unix_stream_socket
 manage_dirs_pattern(logwatch_t, logwatch_cache_t, logwatch_cache_t)
 manage_files_pattern(logwatch_t, logwatch_cache_t, logwatch_cache_t)
 
-allow logwatch_t logwatch_lock_t:file manage_file_perms;
+manage_files_pattern(logwatch_t, logwatch_lock_t, logwatch_lock_t)
+manage_dirs_pattern(logwatch_t, logwatch_lock_t, logwatch_lock_t)
 files_lock_filetrans(logwatch_t, logwatch_lock_t, file)
 
 manage_dirs_pattern(logwatch_t, logwatch_tmp_t, logwatch_tmp_t)
@@ -61,6 +63,11 @@ kernel_read_system_state(logwatch_t)
 kernel_read_net_sysctls(logwatch_t)
 kernel_read_network_state(logwatch_t)
 
+corenet_all_recvfrom_unlabeled(logwatch_t)
+corenet_all_recvfrom_netlabel(logwatch_t)
+corenet_tcp_sendrecv_generic_if(logwatch_t)
+corenet_tcp_sendrecv_generic_node(logwatch_t)
+
 corecmd_exec_bin(logwatch_t)
 corecmd_exec_shell(logwatch_t)
 
@@ -75,10 +82,11 @@ files_list_var(logwatch_t)
 files_search_all(logwatch_t)
 files_read_var_symlinks(logwatch_t)
 files_read_etc_runtime_files(logwatch_t)
-files_read_usr_files(logwatch_t)
+files_read_system_conf_files(logwatch_t)
 
 fs_getattr_all_dirs(logwatch_t)
 fs_getattr_all_fs(logwatch_t)
+fs_getattr_all_dirs(logwatch_t)
 fs_dontaudit_list_auto_mountpoints(logwatch_t)
 fs_list_inotifyfs(logwatch_t)
 
@@ -100,23 +108,14 @@ libs_read_lib_files(logwatch_t)
 logging_read_all_logs(logwatch_t)
 logging_send_syslog_msg(logwatch_t) 
 
-miscfiles_read_localization(logwatch_t)
-
 selinux_dontaudit_getattr_dir(logwatch_t)
 
 sysnet_exec_ifconfig(logwatch_t)
 
-userdom_dontaudit_search_user_home_dirs(logwatch_t)
-
 mta_sendmail_domtrans(logwatch_t, logwatch_mail_t)
 mta_getattr_spool(logwatch_t)
 
 tunable_policy(`logwatch_can_network_connect_mail',`
-	corenet_all_recvfrom_unlabeled(logwatch_t)
-	corenet_all_recvfrom_netlabel(logwatch_t)
-	corenet_tcp_sendrecv_generic_if(logwatch_t)
-	corenet_tcp_sendrecv_generic_node(logwatch_t)
-
 	corenet_sendrecv_smtp_client_packets(logwatch_t)
 	corenet_tcp_connect_smtp_port(logwatch_t)
 	corenet_tcp_sendrecv_smtp_port(logwatch_t)
@@ -160,6 +159,12 @@ optional_policy(`
 ')
 
 optional_policy(`
+	raid_domtrans_mdadm(logwatch_t)
+	raid_access_check_mdadm(logwatch_t)
+    raid_read_conf_files(logwatch_t)
+')
+
+optional_policy(`
 	rpc_search_nfs_state_data(logwatch_t)
 ')
 
@@ -187,6 +192,19 @@ dev_read_sysfs(logwatch_mail_t)
 
 logging_read_all_logs(logwatch_mail_t)
 
+mta_read_home(logwatch_mail_t)
+mta_filetrans_home_content(logwatch_mail_t)
+mta_filetrans_admin_home_content(logwatch_mail_t)
+
 optional_policy(`
 	cron_use_system_job_fds(logwatch_mail_t)
 ')
+
+optional_policy(`
+	courier_stream_connect_authdaemon(logwatch_mail_t)
+')
+
+optional_policy(`
+	qmail_domtrans_inject(logwatch_mail_t)
+	qmail_domtrans_queue(logwatch_mail_t)
+')
Index: serefpolicy-contrib-20140730/lpd.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/lpd.fc
+++ serefpolicy-contrib-20140730/lpd.fc
@@ -19,6 +19,7 @@
 /usr/sbin/lpinfo	--	gen_context(system_u:object_r:lpr_exec_t,s0)
 /usr/sbin/lpmove	--	gen_context(system_u:object_r:lpr_exec_t,s0)
 
+/usr/linuxprinter/bin/l?lpr -- gen_context(system_u:object_r:lpr_exec_t,s0)
 /usr/local/linuxprinter/bin/l?lpr	--	gen_context(system_u:object_r:lpr_exec_t,s0)
 
 /usr/share/printconf/.*	--	gen_context(system_u:object_r:printconf_t,s0)
